Support » Plugin: MP Tweet List » Fatal error: Cannot redeclare class OAuthException

  • Hello, on one of my sites I gave this a try with this result.

    Fatal error: Cannot redeclare class OAuthException in /home/deb9580n5/domains/autorijschoolpolman.nl/public_html/wp-content/plugins/mp-tweet-list/twitteroauth/OAuth.php on line 8

    Unfortunately, when you activate the new version (yet without the ley’s) it brings down all following widgets with this very same message!?

    Thanks,

    http://wordpress.org/extend/plugins/mp-tweet-list/

Viewing 7 replies - 1 through 7 (of 7 total)
  • I have the same problem too, so it looks like a general issue.
    http://www.vakantiehuisverhuur.eu.
    De-activating the plugin solves the problem, but I hope this is only very temporarily.

    Plugin Author MikesPickz

    (@mikespickz)

    Hello,

    Version 3.1 has just been released that should fix the OAuthException error. The problem was a compatibility issue with other plugins that use Twitter authentication. Let me know if Version 3.1 works for you.

    Mike

    Yep,
    This version works for me !

    Thanks,

    Unfortunately not for me. It gives the following error:
    Fatal error: Cannot use object of type stdClass as array in /home/deb48514/domains/magoster.nl/public_html/wp/wp-content/plugins/mp-tweet-list/mp-tweet-list.php on line 267

    After update I deleted the plugin and re-installed again. After activating it gave this error immediately.

    The plugin has been de-activated again.

    As it works for Karesansui I don´t know whether this is an generic issue. Mike, i hope to hear from you again!

    http://www.magoster.nl

    A

    (@adriantoll)

    Just to let you know, Mike’s point about other Twitter plugins worked for me – I was using MP Tweet List to replace the now-defunct Tweet Blender, but hadn’t deactivated Tweet Blender beforehand. When I deactivated Tweet Blender the error disappeared.

    Adrian, Mike

    Whatever caused it, it works again. I followed Adrian’s advise and de-actived some other plugins. As it works again I take my hands off from the other plugins. Just to be sure. 😉

    Thanks for your advise!

    I got still the same issue, can’t there by any fix that will check if the class is already defined before re-defining the OAuthException class again :(!?

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Fatal error: Cannot redeclare class OAuthException’ is closed to new replies.